## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

# make debuginfo generation pass on f38 ix86
%global rustflags_debuginfo 1

%global crate nu-command

Name:           rust-nu-command
Version:        0.88.1
Release:        %autorelease
Summary:        Nushell's built-in commands

License:        MIT
URL:            https://crates.io/crates/nu-command
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          nu-command-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * replace unmaintained htmlescape with v_htmlescape
# * widen accepted rusqlite versions to allow building against 0.28 and 0.30
Patch:          nu-command-fix-metadata.diff
# ditto, see https://github.com/nushell/nushell/pull/11572
Patch:          nu-command-replace-htmlescape.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Nushell's built-in commands.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-devel %{_description}

This package contains library source intended for building other packages which
use the "num" feature of the "%{crate}" crate.

%files       -n %{name}+num-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+plugin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+plugin-devel %{_description}

This package contains library source intended for building other packages which
use the "plugin" feature of the "%{crate}" crate.

%files       -n %{name}+plugin-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rusqlite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rusqlite-devel %{_description}

This package contains library source intended for building other packages which
use the "rusqlite" feature of the "%{crate}" crate.

%files       -n %{name}+rusqlite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sqlite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sqlite-devel %{_description}

This package contains library source intended for building other packages which
use the "sqlite" feature of the "%{crate}" crate.

%files       -n %{name}+sqlite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trash-devel %{_description}

This package contains library source intended for building other packages which
use the "trash" feature of the "%{crate}" crate.

%files       -n %{name}+trash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trash-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trash-support-devel %{_description}

This package contains library source intended for building other packages which
use the "trash-support" feature of the "%{crate}" crate.

%files       -n %{name}+trash-support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+which-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+which-devel %{_description}

This package contains library source intended for building other packages which
use the "which" feature of the "%{crate}" crate.

%files       -n %{name}+which-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+which-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+which-support-devel %{_description}

This package contains library source intended for building other packages which
use the "which-support" feature of the "%{crate}" crate.

%files       -n %{name}+which-support-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * these tests require unshipped fixtures
%cargo_test -- -- --skip debug::timeit::test_time_block --skip strings::split::words::test::test_incompat_flags --skip commands:: --skip format_conversions::
%endif

%changelog
## START: Generated by rpmautospec
* Sat Feb 17 2024 Michel Lind <salimma@fedoraproject.org> - 0.88.1-2
- Fix f38 ix86 build

* Thu Feb 15 2024 Michel Lind <salimma@fedoraproject.org> - 0.88.1-1
- Initial package (rhbz#2263954)
## END: Generated by rpmautospec
